#include <iostream>
#include <vector>

using namespace std;
int proizvod(int br)
{
    int pr=1;
    while(br>0)
    {
        pr=pr*(br%10);
        br=br/10;
    }
    return pr;
}
bool dalisurazliciti(vector<int> s, int j)
{
    for(int m=0; m<j; m++)
    {
        if(s[m]==s[j])
        return false;

    }
    return true;
}

int main()
{
    int t, pr=1, br=0, i;
    bool tacnost;
    cin>>t;
    vector<int> v;
    vector<int> s;
    vector<int> k;
    for(int i=0; i<t; i++)
    {
        cin>>v[i];
        k[i]=1;
        for(int j=0; j<v[i]; j++)
        {
            br=j+1;
            s[j]=proizvod(br);
            tacnost=dalisurazliciti(s, j);
            if(tacnost=true) k[i]=k[i]+1;
        }
    }
    for(int x=0; x<t; x++)
    {
        cout<<k[x];
    }
    return 0;
    
}